Skip to main content
`Ctrl`+`K`

# DMComputeVariableBounds

compute variable bounds used by `SNESVI`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMComputeVariableBounds(DM dm, Vec xl, Vec xu)

Logically Collective

## Input Parameter

- dm - the `DM` object

## Output Parameters

- xl - lower bound

- xu - upper bound

## Note

This is generally not called by users. It calls the function provided by the user with DMSetVariableBounds()

## See Also

DM Basics, `DM`, `DMHasVariableBounds()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMCreateColoring()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMGetApplicationContext()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages